Bug 1280491 - Too long gdm session start
Too long gdm session start
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 16:20 EST by Oleg Samarin
Modified: 2016-12-15 15:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-15 15:38:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdm log with debug information (1.57 MB, text/x-vhdl)
2015-11-11 16:20 EST, Oleg Samarin
no flags Details

  None (edit)
Description Oleg Samarin 2015-11-11 16:20:44 EST
Created attachment 1092881 [details]
gdm log with debug information

Description of problem:

After I select a user on the greeting screen and enter a password,
sometimes the gnome session appears quickly (a few seconds), but
sometimes it takes several minutes or tenths minutes.

When it starts a long time, the only gdm-session-worker process hangs
for minutes without any child processes running.

I attached the debugging log with both cases of opening gnome session.
At 22:56:55 the session appeared quickly. After I closed it, I tried to
open the new session at 22:58:20, but it appeared only 23:03:29, ie 6
minutes later.

I can see the next lines in the log:

---------------------------------------------------------
ноя 11 22:58:20 oleg2.oleghome audit[9253]: USER_LOGIN pid=9253 uid=0 auid=1001 ses=5 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='uid=1001 exe="/usr/libexec/gdm-session-worker" hostname=? addr=? terminal=? res=success'
ноя 11 22:58:20 oleg2.oleghome gdm[7052]: GdmSession: Emitting 'session-opened' signal
ноя 11 23:03:29 oleg2.oleghome /usr/libexec/gdm-x-session[7294]: gnome-session-binary[7312]: DEBUG(+): GsmPresence: setting idle: 1
ноя 11 23:03:29 oleg2.oleghome gdm[7052]: GdmSession: external connection closed
ноя 11 23:03:29 oleg2.oleghome gdm[7052]: GdmManager: client disconnected
ноя 11 23:03:29 oleg2.oleghome gdm[7052]: GdmManager: trying to open new session
---------------------------------------------------------

Why the session does not start after at first attempt? What other debug
information can I provide?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install Fedora 23
2. Downgrade Xorg to 1.17.3
3. Install nvidia proprietary driver
4. Reboot
5. Sign on with GDM

Actual results:
Black screen with mouse cursor for several minutes, then the session appears


Expected results:
Opening the gnome desktop after several seconds


Additional info:
It is not reproducible in Fedora 22 or in Fedora 23 with nouveau driver
Comment 1 Oleg Samarin 2015-11-11 16:22:05 EST
GDM 3.18.0-1, xorg 1.17.3
nvidia proprietary driver 352.55.
Comment 2 Fedora End Of Life 2016-11-24 08:19:23 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.